﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace Call_WebService_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult Index(string iPAddress)
        {
            GeoService.GeoIPService service = new GeoService.GeoIPService();
            GeoService.GeoIP output = service.GetGeoIP(iPAddress.Trim());
            ViewBag.Country = "Country: " + output.CountryName;

            return View();
        }
    }
}